Package org.eclipse.emf.cdo.server

## Interface IUnit

-     public interface IUnit

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​(IView view)` |
    `IUnitManager` | `getManager()` |
    `CDOID` | `getRootID()` |
    `boolean` | `isOpen()` |
    `void` | `open​(IView view, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |

- - ### Method Detail

    - #### getManager

          IUnitManager getManager()

    - #### getRootID

          CDOID getRootID()

    - #### isOpen

          boolean isOpen()

    - #### open

          void open​(IView view,
                    CDORevisionHandler revisionHandler,
                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

    - #### close

          void close​(IView view)